/*
 * @(#)TheChessGame.java				1.00
 * 
 * Copyright (C) Ramin Rakhamimov
 * ramin32@gmail.com
 * http://www.ramrak.net
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package net.ramrak.applications.thechessgame;

import java.util.Map;

import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.SwingUtilities;

import net.ramrak.applications.thechessgame.board.BoardPanel;
import net.ramrak.applications.thechessgame.helpers.GameMapFactory;
import net.ramrak.applications.thechessgame.pieces.BoardPiece;
import net.ramrak.applications.thechessgame.pieces.PiecePosition;
import net.ramrak.applications.thechessgame.widgets.ChessMenuBar;

/**
 * Main class for TheChessGame
 * @author ramin
 */
public class TheChessGame implements Runnable {
	private final JFrame frame;
	private final JPanel board;
	private final Map<PiecePosition, BoardPiece> boardMap;

	public TheChessGame() {
		frame = new JFrame("TheChessGame");
		boardMap = GameMapFactory.getChessGame();
		board = new BoardPanel(boardMap);
	}

	public void run() {
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		frame.setResizable(false);
		frame.add(board);
		frame.setJMenuBar(new ChessMenuBar());

		frame.pack();
		frame.setVisible(true);

	}

	public static void main(String[] args) {
		SwingUtilities.invokeLater(new TheChessGame());
	}
}
