/*
 * @(#)AbstractBoardPiece.java				1.00
 * 
 * Copyright (C) Ramin Rakhamimov
 * ramin32@gmail.com
 * http://www.ramrak.net
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package net.ramrak.applications.thechessgame.pieces;

import java.util.Map;

abstract class AbstractBoardPiece implements BoardPiece
{
	private final PieceColor color_;
	private PiecePosition position_;
	
	AbstractBoardPiece(PiecePosition position,PieceColor color) 
	{

		position_ = position;
		color_ = color;
	}
	
	@Override
	public PieceColor getColor() 
	{
		return color_;
	}

	@Override
	public PiecePosition getPosition() 
	{
		return position_;
	}

	@Override
	public boolean setPosition(Map<PiecePosition, BoardPiece> boardMap, PiecePosition newPosition) 
	{
		position_ = newPosition;
		return true;
	}
}
