/*
 * @(#)BoardPiece.java				1.00
 * 
 * Copyright (C) Ramin Rakhamimov
 * ramin32@gmail.com
 * http://www.ramrak.net
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package net.ramrak.applications.thechessgame.pieces;

/**
 * Representation of a Board Piece.
 * @author Ramin Rakhamimov
 */

public class BoardPiece {
	private final PieceColor pieceColor;
	private final PieceType type;

	public BoardPiece(PieceType type, PieceColor pieceColor) {
		this.type = type;
		this.pieceColor = pieceColor;
	}

	public boolean attemptMove(PiecePosition from, PiecePosition to) {
		return true; // TODO impelement rule.
	}

	public PieceColor getColor() {
		return pieceColor;
	}

	public PieceType getType() {
		return type;
	}

	public boolean equals(Object o) {
		if (this == o)
			return true;
		if (o == null || getClass() != o.getClass())
			return false;

		BoardPiece that = (BoardPiece) o;

		if (pieceColor != that.pieceColor)
			return false;
		if (type != that.type)
			return false;

		return true;
	}

	public int hashCode() {
		int result;
		result = (pieceColor != null ? pieceColor.hashCode() : 0);
		result = 31 * result + (type != null ? type.hashCode() : 0);
		return result;
	}
}
