/*
 * @(#)ChessMenuBar.java				1.00
 * 
 * Copyright (C) Ramin Rakhamimov
 * ramin32@gmail.com
 * http://www.ramrak.net
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package net.ramrak.applications.thechessgame.widgets;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JMenu;
import javax.swing.JMenuBar;
import javax.swing.JMenuItem;
import javax.swing.JOptionPane;

/**
 * A JMenuBar with TheChessGame specific JMenuItem's/JMenu's
 *
 * @author Ramin Rakhamimov
 */
public class ChessMenuBar extends JMenuBar {
	private JMenu fileMenu;
	private JMenu helpMenu;
	private JMenuItem exit;
	private JMenuItem about;

	public ChessMenuBar() {
		fileMenu = new JMenu("File");
		helpMenu = new JMenu("Help");

		exit = new JMenuItem("Exit");
		about = new JMenuItem("About");

		exit.addActionListener(new ActionListener() {

			public void actionPerformed(ActionEvent event) {
				System.exit(0);
			}
		});

		about.addActionListener(new ActionListener() {

			public void actionPerformed(ActionEvent event) {
				JOptionPane
						.showMessageDialog(
								null,
								"Thanks for playing TheChessGame!\n"
										+ "Author: Ramin Rakhamimov\n"
										+ "Please report any bugs or comments to ramin32@gmail.com\n"
										+ "http://www.ramrak.net");
			}
		});

		fileMenu.add(exit);
		helpMenu.add(about);
		add(fileMenu);
		add(helpMenu);
	}
}
