package net.ramrak.applications.thechessgame.pieces;

import java.awt.Point;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;

/**
 * PiecePosition Tester.
 *
 * @author <Authors name>
 * @since <pre>04/13/2008</pre>
 * @version 1.0
 */
public class PiecePositionTest extends TestCase {
    enum Construct{POINT,STRING,FILE_RANK}
    private final Construct construct = Construct.STRING;
    private PiecePosition piecePosition;

    private String pos = "B2";
    private final int file = 1;
    private final int rank = 1;
    private final Point point = new Point(10,10);
    private final int squareSize = 10;

    public PiecePositionTest(String name) {
        super(name);


    }

    public void setUp() throws Exception {
        super.setUp();
        switch (construct){
            case STRING:
                piecePosition = PiecePosition.createFromString(pos);
                break;
            case FILE_RANK:
                piecePosition = PiecePosition.createFromFileRank(file,rank);
                break;
            case POINT:
                piecePosition = PiecePosition.createFromGraphicalPoint(point,squareSize);
                break;
        }
    }

    public void tearDown() throws Exception {
        super.tearDown();
    }

    public void testGetRank() throws Exception {

        assertEquals("Wrong rank: " ,piecePosition.getRank(),rank);
    }

    public void testGetFile() throws Exception {
        assertEquals("Wrong file: ",piecePosition.getFile(),file);
    }

    public void testGetPoint() throws Exception {
        assertEquals(piecePosition.getPoint(squareSize),point);
    }

    public void testGetCenteredPoint() throws Exception {
        Point p = new Point(point);
        p.translate(5,5);
        assertEquals(piecePosition.getCenteredPoint(squareSize),p);
    }

     public void testToString() throws Exception {
//         assertEquals(piecePosition.toString(),pos);
    }

    public static Test suite() {
        return new TestSuite(PiecePositionTest.class);
    }
}
